Bug 498649 - Issues on the live cd
Issues on the live cd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 12:34 EDT by Matthias Clasen
Modified: 2015-03-03 17:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
computer window (30.90 KB, image/png)
2009-05-01 12:34 EDT, Matthias Clasen
no flags Details
mounting fails (35.89 KB, image/png)
2009-05-01 12:34 EDT, Matthias Clasen
no flags Details
palimpsest can do it (114.15 KB, image/png)
2009-05-01 12:35 EDT, Matthias Clasen
no flags Details
devkit-disks --dump (19.22 KB, text/plain)
2009-05-01 12:35 EDT, Matthias Clasen
no flags Details
cat /proc/self/mountinfo (1.11 KB, text/plain)
2009-05-01 12:35 EDT, Matthias Clasen
no flags Details
gvfs-mount -li (1.01 KB, text/plain)
2009-05-01 12:36 EDT, Matthias Clasen
no flags Details
udevadm info --export-db (56.52 KB, text/plain)
2009-05-01 17:06 EDT, Matthias Clasen
no flags Details

  None (edit)
Description Matthias Clasen 2009-05-01 12:34:06 EDT
Created attachment 342118 [details]
computer window

The nautilus computer window is a less than optimal experience when booting the live cd right now.

It shows two mysterious '2 GB' devices, it also shows my harddisk, and it shows the expected cdrom drive and filesystem entries.

Both of the '2 GB' and the harddisk entries have 'Mount' menuitem, but none of them works. 

What I would expect to see here in this case is my actual partitions on the harddisk, to be able to mount them. 

Palimpsest shows them just fine, and can mount them without problems.

I'll attach a few things...
Comment 1 Matthias Clasen 2009-05-01 12:34:33 EDT
Created attachment 342119 [details]
mounting fails
Comment 2 Matthias Clasen 2009-05-01 12:35:01 EDT
Created attachment 342120 [details]
palimpsest can do it
Comment 3 Matthias Clasen 2009-05-01 12:35:22 EDT
Created attachment 342121 [details]
devkit-disks --dump
Comment 4 Matthias Clasen 2009-05-01 12:35:42 EDT
Created attachment 342122 [details]
cat /proc/self/mountinfo
Comment 5 Matthias Clasen 2009-05-01 12:36:04 EDT
Created attachment 342123 [details]
gvfs-mount -li
Comment 6 David Zeuthen 2009-05-01 12:52:10 EDT
What version of gvfs is this?
Comment 7 David Zeuthen 2009-05-01 12:53:24 EDT
Either way, it's a gvfs problem - we're not honoring :device-presentation-hide property...
Comment 8 Matthias Clasen 2009-05-01 12:58:26 EDT
gvfs-1.2.2-3.fc11

So, what problem will honoring :device-presentation-hide solve ?

I assume it might make the '2 GB' entries go away. But what about showing the entries that we can actually usefully mount, ie /home etc ?
Comment 9 David Zeuthen 2009-05-01 13:07:29 EDT
(In reply to comment #8)
> gvfs-1.2.2-3.fc11
> 
> So, what problem will honoring :device-presentation-hide solve ?
> 
> I assume it might make the '2 GB' entries go away. 

Yes.

> But what about showing the
> entries that we can actually usefully mount, ie /home etc ?  

Why do you think showing an implementation detail such as /home is useful?
Comment 10 Matthias Clasen 2009-05-01 13:16:57 EDT
> Why do you think showing an implementation detail such as /home is useful?  

Trying the live cd is easier if I have access to my actual data... /home is an implementation detail when it is automatically mounted at boot. It is not when it sits on my harddisk and I don't know how to get at it because the ui is not helping...
Comment 11 David Zeuthen 2009-05-01 13:30:45 EDT
(In reply to comment #10)
> > Why do you think showing an implementation detail such as /home is useful?  
> 
> Trying the live cd is easier if I have access to my actual data... /home is an
> implementation detail when it is automatically mounted at boot. It is not when
> it sits on my harddisk and I don't know how to get at it because the ui is not
> helping...  

Wait, what? I thought you meant /home as mounted into the file system, not some block device that happens to have the label "/home" just because the installer team or someone else decided that label is useful (calling it "Home Directories" is more useful and avoids conceptual clusterfucks like these). Maybe if you had said "/dev/sda2" it would have helped - I still can't read minds :-)

Anyway, /dev/sda2 has "presentation hide: 1" so it's probably the livecd boot scripts we should blame - any chance you can attach the udev rule from the live cd system that sets DKD_PRESENTATION_HIDE? (grep in /{etc,lib}/udev/rules.d)
Comment 12 Matthias Clasen 2009-05-01 13:44:41 EDT
50-udev-default.rules has

DM_NAME=="live-osimg-min" EN{DKD_PRESENTATION_HIDE}="1"


That is the only occurrence of DKD_PRESENTATION_HIDE in the livecd
Comment 13 David Zeuthen 2009-05-01 14:43:43 EDT
(In reply to comment #12)
> 50-udev-default.rules has
> 
> DM_NAME=="live-osimg-min" EN{DKD_PRESENTATION_HIDE}="1"
> 
> 
> That is the only occurrence of DKD_PRESENTATION_HIDE in the livecd  

Try

 $  udevadm info --export-db|grep HIDE
Comment 14 David Zeuthen 2009-05-01 14:45:00 EDT
(In reply to comment #13)
> (In reply to comment #12)
> > 50-udev-default.rules has
> > 
> > DM_NAME=="live-osimg-min" EN{DKD_PRESENTATION_HIDE}="1"

Did you type this wrong (missing ',' and EN should be ENV)? Or are the typos in the rules?

> > 
> > 
> > That is the only occurrence of DKD_PRESENTATION_HIDE in the livecd  
> 
> Try
> 
>  $  udevadm info --export-db|grep HIDE  

Also, please attach the output of that command (e.g. 'udevadm info --export-db')
Comment 15 Matthias Clasen 2009-05-01 17:04:22 EDT
That grep command yields a ton of 

E: DKD_PRESENTATION_HIDE=1

lines, not very useful. I'll attach the full dump
Comment 16 Matthias Clasen 2009-05-01 17:06:56 EDT
Created attachment 342153 [details]
udevadm info --export-db
Comment 17 Bug Zapper 2009-06-09 10:57:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-04-27 10:03:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-06-28 08:19:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.